using UnityEngine;
using System.Collections;

public class StrengthPickup : PlayerPickups {
	
	float skillIncrease;
	
	void Awake()
	{
		base.Awake ();
		skillIncrease = 1f; // kept like this in case we want to tweak it a little later and not both pickup types at the same time...
	}

	void OnTriggerEnter2D(Collider2D col)
	{
		GameObject.Find("Player").GetComponent<MyPlayer>().skills.IncreaseSkill("Strength", skillIncrease);
		Debug.Log("Strength: " + skills.GetSkill("Strength"));
		Destroy(gameObject);
	}
}